Bullet Collision Detection & Physics Library: btConvexHullInternal::DMul< UWord, UHWord > Class Template Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | Static Private Member Functions | List of all members
btConvexHullInternal::DMul< UWord, UHWord > Class Template Reference

## Static Public Member Functions
static void | mul (UWord a, UWord b, UWord &resLow, UWord &resHigh)

## Static Private Member Functions
static uint32_t | high (uint64_t value)
static uint32_t | low (uint64_t value)
static uint64_t | mul (uint32_t a, uint32_t b)
static void | shlHalf (uint64_t &value)
static uint64_t | high (Int128 value)
static uint64_t | low (Int128 value)
static Int128 | mul (uint64_t a, uint64_t b)
static void | shlHalf (Int128 &value)

## Detailed Description

template<typename UWord, typename UHWord>
class btConvexHullInternal::DMul< UWord, UHWord >

Definition at line 576 of file btConvexHullComputer.cpp.

## Member Function Documentation

## ◆ high() [1/2]

template<typename UWord , typename UHWord >

static uint64_t btConvexHullInternal::DMul< UWord, UHWord >::high | ( | Int128 | value | ) |
| inlinestaticprivate

Definition at line 599 of file btConvexHullComputer.cpp.

## ◆ high() [2/2]

template<typename UWord , typename UHWord >

static uint32_t btConvexHullInternal::DMul< UWord, UHWord >::high | ( | uint64_t | value | ) |
| inlinestaticprivate

Definition at line 579 of file btConvexHullComputer.cpp.

## ◆ low() [1/2]

template<typename UWord , typename UHWord >

static uint64_t btConvexHullInternal::DMul< UWord, UHWord >::low | ( | Int128 | value | ) |
| inlinestaticprivate

Definition at line 604 of file btConvexHullComputer.cpp.

## ◆ low() [2/2]

template<typename UWord , typename UHWord >

static uint32_t btConvexHullInternal::DMul< UWord, UHWord >::low | ( | uint64_t | value | ) |
| inlinestaticprivate

Definition at line 584 of file btConvexHullComputer.cpp.

## ◆ mul() [1/3]

template<typename UWord , typename UHWord >

static uint64_t btConvexHullInternal::DMul< UWord, UHWord >::mul | ( | uint32_t | a,
|  | uint32_t | b
| ) |  |
| inlinestaticprivate

Definition at line 589 of file btConvexHullComputer.cpp.

## ◆ mul() [2/3]

template<typename UWord , typename UHWord >

static Int128 btConvexHullInternal::DMul< UWord, UHWord >::mul | ( | uint64_t | a,
|  | uint64_t | b
| ) |  |
| inlinestaticprivate

Definition at line 609 of file btConvexHullComputer.cpp.

## ◆ mul() [3/3]

template<typename UWord , typename UHWord >

static void btConvexHullInternal::DMul< UWord, UHWord >::mul | ( | UWord | a,
|  | UWord | b,
|  | UWord & | resLow,
|  | UWord & | resHigh
| ) |  |
| inlinestatic

Definition at line 621 of file btConvexHullComputer.cpp.

## ◆ shlHalf() [1/2]

template<typename UWord , typename UHWord >

static void btConvexHullInternal::DMul< UWord, UHWord >::shlHalf | ( | Int128 & | value | ) |
| inlinestaticprivate

Definition at line 614 of file btConvexHullComputer.cpp.

## ◆ shlHalf() [2/2]

template<typename UWord , typename UHWord >

static void btConvexHullInternal::DMul< UWord, UHWord >::shlHalf | ( | uint64_t & | value | ) |
| inlinestaticprivate

Definition at line 594 of file btConvexHullComputer.cpp.

The documentation for this class was generated from the following file:

- btConvexHullComputer.cpp